Bug 1180422 - alex-3.1.4 is available
Summary: alex-3.1.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alex
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: alex-3.1.4:ok
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-09 08:02 UTC by Upstream Release Monitoring
Modified: 2015-04-26 12:57 UTC (History)
2 users (show)

Fixed In Version: alex-3.1.4-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 12:57:29 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-01-09 08:02:02 UTC
Latest upstream release: 3.1.4
Current version/release in Fedora Rawhide: 3.0.5-37.fc21
URL: http://hackage.haskell.org/package/alex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Jens Petersen 2015-01-14 09:29:01 UTC
fhbz: Rawhide can be updated to alex-3.1.4 
according to the current cblrepo data in haskell-sig.git
without any other package rebuilds.

Comment 2 Jens Petersen 2015-01-15 05:48:44 UTC
I think we could postpone this for F23/ghc-7.10.

Comment 3 Upstream Release Monitoring 2015-04-03 09:02:06 UTC
petersen's alex-3.1.4-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=625858

Comment 4 Fedora Update System 2015-04-20 04:06:29 UTC
alex-3.1.4-1.fc22, cabal-install-1.18.0.8-1.fc22, happy-1.19.5-1.fc22, hlint-1.9.10-1.fc22, ghc-derive-2.5.22-1.fc22, ghc-hgettext-0.1.30-7.fc22, ghc-language-ecmascript-0.15.2-6.fc22, ghc-QuickCheck-2.7.6-1.fc22, Agda-2.4.2.2-3.fc22, bustle-0.4.8-1.fc22, cpphs-1.18.9-1.fc22, idris-0.9.9.1-5.fc22, ghc-arrows-0.4.4.1-8.fc22, ghc-haskell-src-exts-1.16.0.1-1.fc22, ghc-IOSpec-0.2.5-9.fc22, ghc-language-java-0.2.7-2.fc22, ghc-Stream-0.4.7.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/Agda-2.4.2.2-3.fc22,alex-3.1.4-1.fc22,bustle-0.4.8-1.fc22,cabal-install-1.18.0.8-1.fc22,cpphs-1.18.9-1.fc22,happy-1.19.5-1.fc22,idris-0.9.9.1-5.fc22,hlint-1.9.10-1.fc22,ghc-arrows-0.4.4.1-8.fc22,ghc-derive-2.5.22-1.fc22,ghc-haskell-src-exts-1.16.0.1-1.fc22,ghc-hgettext-0.1.30-7.fc22,ghc-IOSpec-0.2.5-9.fc22,ghc-language-ecmascript-0.15.2-6.fc22,ghc-language-java-0.2.7-2.fc22,ghc-QuickCheck-2.7.6-1.fc22,ghc-Stream-0.4.7.2-1.fc22

Comment 5 Fedora Update System 2015-04-21 19:34:09 UTC
Package alex-3.1.4-1.fc22, cabal-install-1.18.0.8-1.fc22, happy-1.19.5-1.fc22, hlint-1.9.10-1.fc22, ghc-derive-2.5.22-1.fc22, ghc-hgettext-0.1.30-7.fc22, ghc-language-ecmascript-0.15.2-6.fc22, ghc-QuickCheck-2.7.6-1.fc22, Agda-2.4.2.2-3.fc22, bustle-0.4.8-1.fc22, cpphs-1.18.9-1.fc22, idris-0.9.9.1-5.fc22, ghc-arrows-0.4.4.1-8.fc22, ghc-haskell-src-exts-1.16.0.1-1.fc22, ghc-IOSpec-0.2.5-9.fc22, ghc-language-java-0.2.7-2.fc22, ghc-Stream-0.4.7.2-1.fc22, haskell-platform-2014.2.0.0.2-3.fc22, git-annex-5.20140717-6.fc22, Agda-stdlib-0.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alex-3.1.4-1.fc22 cabal-install-1.18.0.8-1.fc22 happy-1.19.5-1.fc22 hlint-1.9.10-1.fc22 ghc-derive-2.5.22-1.fc22 ghc-hgettext-0.1.30-7.fc22 ghc-language-ecmascript-0.15.2-6.fc22 ghc-QuickCheck-2.7.6-1.fc22 Agda-2.4.2.2-3.fc22 bustle-0.4.8-1.fc22 cpphs-1.18.9-1.fc22 idris-0.9.9.1-5.fc22 ghc-arrows-0.4.4.1-8.fc22 ghc-haskell-src-exts-1.16.0.1-1.fc22 ghc-IOSpec-0.2.5-9.fc22 ghc-language-java-0.2.7-2.fc22 ghc-Stream-0.4.7.2-1.fc22 haskell-platform-2014.2.0.0.2-3.fc22 git-annex-5.20140717-6.fc22 Agda-stdlib-0.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6562/Agda-2.4.2.2-3.fc22,Agda-stdlib-0.9-1.fc22,alex-3.1.4-1.fc22,bustle-0.4.8-1.fc22,cabal-install-1.18.0.8-1.fc22,cpphs-1.18.9-1.fc22,git-annex-5.20140717-6.fc22,haskell-platform-2014.2.0.0.2-3.fc22,happy-1.19.5-1.fc22,idris-0.9.9.1-5.fc22,hlint-1.9.10-1.fc22,ghc-arrows-0.4.4.1-8.fc22,ghc-derive-2.5.22-1.fc22,ghc-haskell-src-exts-1.16.0.1-1.fc22,ghc-hgettext-0.1.30-7.fc22,ghc-IOSpec-0.2.5-9.fc22,ghc-language-ecmascript-0.15.2-6.fc22,ghc-language-java-0.2.7-2.fc22,ghc-QuickCheck-2.7.6-1.fc22,ghc-Stream-0.4.7.2-1.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-04-26 12:57:29 UTC
alex-3.1.4-1.fc22, cabal-install-1.18.0.8-1.fc22, happy-1.19.5-1.fc22, hlint-1.9.10-1.fc22, ghc-derive-2.5.22-1.fc22, ghc-hgettext-0.1.30-7.fc22, ghc-language-ecmascript-0.15.2-6.fc22, ghc-QuickCheck-2.7.6-1.fc22, Agda-2.4.2.2-3.fc22, bustle-0.4.8-1.fc22, cpphs-1.18.9-1.fc22, idris-0.9.9.1-5.fc22, ghc-arrows-0.4.4.1-8.fc22, ghc-haskell-src-exts-1.16.0.1-1.fc22, ghc-IOSpec-0.2.5-9.fc22, ghc-language-java-0.2.7-2.fc22, ghc-Stream-0.4.7.2-1.fc22, haskell-platform-2014.2.0.0.2-3.fc22, git-annex-5.20140717-6.fc22, Agda-stdlib-0.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.